Atul Kelkar Posted April 3, 2015 Posted April 3, 2015 I use Autocad 2010 for Arechitectural applications and have a very basic question. Once I have drawn a line & I want to split it into smaller parts, how do I do it? Quote
ReMark Posted April 3, 2015 Posted April 3, 2015 FYI the DIVIDE command - This operation does not actually break an object into individual objects; it only identifies the location of the divisions so that you can use them as geometric reference points. Physically breaking the line into multiple segments would require the use of the BREAK command (inefficient) or a custom lisp routine (efficient). Will the segments be of equal or unequal length? Quote
Cad64 Posted April 3, 2015 Posted April 3, 2015 You would think, after all these years, there would be an easy way to do this in Autocad. Anyway, there's a nice lisp routine by Kent1Cooper here: http://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/break-line-not-divide/td-p/2572800/highlight/true/page/2. It's on page 2, towards the bottom of the thread. Quote
BIGAL Posted April 3, 2015 Posted April 3, 2015 Like wise I needed a ARC facet lisp as stuff like wipeout does not support arcs. Here is multi arcs ; Converts 1 arc to multi arc (vl-load-com) (setq oldsnap (getvar "osmode")) (setvar "osmode" 0) (setq oldlayer (getvar "clayer")) ;pdmode point type use when checking points ; (setvar "pdmode" 34) (setvar "osmode" 512) ; nearest make sure on line (setq pickobj (entsel "\nPick arc :")) (setq obj1 (vlax-ename->vla-object (car pickobj))) (setq pickpt (cadr pickobj)) (setvar "clayer" (cdr (assoc 8 (entget (car pickobj))))) (setq cenpt1 (cdr (assoc 10 (entget (car pickobj))))) (setq rad (cdr (assoc 40 (entget (car pickobj))))) (setq ang1 (cdr (assoc 50 (entget (car pickobj))))) (setq ang2 (cdr (assoc 51 (entget (car pickobj))))) (setq howmany (getreal "\nEnter how many sections required ")) (setq ang (/ (- ang2 ang1) howmany)) (setq pt1 (polar cenpt1 ang1 rad)) (entdel (car pickobj)) (setq x (fix howmany)) ; doesn't like reals in repeat (repeat x (setq ang2 (+ ang ang1)) (setq pt2 (polar cenpt1 ang2 rad)) (command "arc" pt1 "e" pt2 "r" rad) (setq pt1 pt2) (setq ang1 ang2) ) (setvar "osmode" oldsnap) (princ) Quote
Atul Kelkar Posted April 4, 2015 Author Posted April 4, 2015 Thanks for the help, but Divide command only divides into equal segments, I need to divide it into segments of varying lengths. How can that be done ? Quote
ReMark Posted April 4, 2015 Posted April 4, 2015 That is an important piece of information that should have been included in your first post. Quote
Atul Kelkar Posted April 4, 2015 Author Posted April 4, 2015 IM sorry, I am a newbie ...first post here, I guess I will learn Quote
RobDraw Posted April 4, 2015 Posted April 4, 2015 You are going to need to enter the lengths, so you may as well just draw them using a method that holds the angle for you. Quote
BIGAL Posted April 5, 2015 Posted April 5, 2015 I thought Cad64 and I offered 3 suggestions a pline requires a lot more thought. The only real questions is divide equally or by length if so start or end or even bit left over for line arcs etc pretty easy plines ? Quote
Dana W Posted April 5, 2015 Posted April 5, 2015 I can't come up with a logical reason to draw a line with the intent to break it into separate parts of already known lengths. It is counter-productive. Don't fault AutoCad. There is no way to do it on paper either. In either media, erase it and draw the separate lines themselves. You either want; A. one long line, or B. A bunch of shorter lines at random lengths. Pick one choice and draw. I may be missing something, but I can't find it. The LINE command will allow one to draw varying length line segments along one path. Maybe that will work. If there is a line already there, just draw over it, selection cycle (or draw order) to the unneeded one, and erase. Quote
BIGAL Posted April 5, 2015 Posted April 5, 2015 Like Dana if square ortho on, just pick start point drag mouse type length type length type length you can also do on angle etc also. Quote
RobDraw Posted April 6, 2015 Posted April 6, 2015 You are going to need to enter the lengths, so you may as well just draw them using a method that holds the angle for you. You either want; A. one long line, or B. A bunch of shorter lines at random lengths. Pick one choice and draw. Like Dana if square ortho on, just pick start point drag mouse type length type length type length you can also do on angle etc also. I hope the OP gets the "point". Quote
Dadgad Posted April 6, 2015 Posted April 6, 2015 It certainly is mind blowing sometimes, how long people will waste trying to save time. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.